Ignora e passa al contenuto principale

Questo browser non è più supportato.

Esegui l'aggiornamento a Microsoft Edge per sfruttare i vantaggi di funzionalità più recenti, aggiornamenti della sicurezza e supporto tecnico.

Scarica Microsoft Edge Scopri di più su Internet Explorer e Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Insight Monitors

create

POST /agent_insight_monitors

Create an Agent Insights monitor for an agent.

Parametri di intestazione

Foundry-Features enum necessario

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

AgentInsights=V1Preview

Parametri di query

api-version string necessario

The API version to use for this operation.

Corpo della richiesta

The monitor to create.

Content-Type: application/json
agent_name string necessario

The agent this monitor should analyze.

enabled boolean

Whether scheduled insight generation should be armed. Defaults to false.

run_interval_hours number

Interval between scheduled insight runs, in hours. Defaults to 6.

model_deployment_name string necessario

The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.

Risposte

The request has succeeded and a new resource has been created as a result.

Intestazioni

Location string necessario

URL of the created monitor.

Corpo

Content-Type: application/json
id string necessario

The monitor identifier.

agent_name string necessario

The agent this monitor analyzes. There can be only one monitor per agent.

enabled boolean necessario

Whether scheduled insight generation is armed for the monitor.

run_interval_hours number necessario

Interval between scheduled insight runs, in hours.

model_deployment_name string necessario

The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.

next_scheduled_run_at integer
estimated_cost AgentInsightEstimatedCost

Estimated Agent Insights cost.

amount number necessario

Estimated cost amount.

currency enum necessario

Currency for the estimated cost amount. Agent Insights estimates are reported in US dollars.

USD
suspension AgentInsightSuspension | null necessario

Why the system suspended scheduled generation. Null when the monitor is not suspended.

code string necessario

Stable, machine-readable suspension category.

message string necessario

Human-readable description of the suspension.

occurred_at integer necessario
details object

Additional reason-specific suspension details.

overview AgentInsightsOverview | null necessario

The effective overview, or null before an overview is available.

content string necessario

The overview content.

source string | enum necessario

Identifies where an Agent Insights overview came from.

Uno qualsiasi dei seguenti:
string
enum
generateduser_override
updated_at integer necessario
updated_at integer necessario

Client error

Corpo

Content-Type: application/json
error OpenAI.Error necessario
code string | null necessario
message string necessario
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Uno qualsiasi dei seguenti:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string necessario

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error necessario
code string | null necessario
message string necessario
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Uno qualsiasi dei seguenti:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string necessario

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Richiedi

POST /agent_insight_monitors HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
it-it
Scelte sulla privacy
  • Dichiarazione di non responsabilità relativa all'intelligenza artificiale
  • Versioni precedenti
  • Blog
  • Collabora
  • Riservatezza
  • Privacy dei dati sanitari dei consumatori
  • Condizioni per l'utilizzo
  • Accessibilità
  • Marchi
  • © Microsoft 2026